package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapJenisDiet_T")
public class PapJenisDiet extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectPapAssesmentGiziFk")
	@NotNull(message = "PapAssesmentGizi tidak boleh kosong")
	private PapAssesmentGizi papAssesmentGizi;
	
	@Column(name = "ObjectPapAssesmentGiziFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papAssesmentGiziId;

	@ManyToOne
	@JoinColumn(name = "ObjectJenisDietFk")
	@NotNull(message = "Jenis Diet tidak boleh kosong")
	private JenisDiet jenisDiet;
	
	@Column(name = "ObjectJenisDietFk", insertable = false, updatable = false, nullable = false)
	private Integer jenisDietId;

	@Column(name = "keterangan")
	@Caption(value = "Keterangan")
	private String keterangan;
	
	public String getKeterangan() {
		return keterangan;
	}
	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	public PapAssesmentGizi getPapAssesmentGizi() {
		return papAssesmentGizi;
	}
	public void setPapAssesmentGizi(PapAssesmentGizi papAssesmentGizi) {
		this.papAssesmentGizi = papAssesmentGizi;
	}
	public JenisDiet getJenisDiet() {
		return jenisDiet;
	}
	public void setJenisDiet(JenisDiet jenisDiet) {
		this.jenisDiet = jenisDiet;
	}

}
